import QtQuick 1.0
import "../components"


Column{
    id: root
    opacity: PathView.opacity
    scale: PathView.scale
    z: PathView.z

        Button{
            id: button
            iconSource: icon
            smooth: true
            onPressAndHold: Notifier.longNotify(tip)
            onClicked: {
                    if(!wasHeld && PathView.opacity === 1 && create){
                        window.clicked()
                        var comp = Qt.createComponent("../" + create)
                        var object = comp.createObject(window.parent);
                        if(profileID)
                            object.profileID = profileID
                        object.caller = window
                    }


            }

            Text {
                text: name;
                anchors.horizontalCenter: parent.horizontalCenter;
                color: palette.text;
                font.pixelSize: 20
                anchors.bottom: parent.top
                opacity: PathView.opacity === 1 ? 1 : 0
                Behavior on opacity {NumberAnimation {duration: 250}}
            }

            Text {
                text: tip
                anchors.horizontalCenter: parent.horizontalCenter;
                anchors.top: parent.bottom
                width: root.parent.width*.8
                wrapMode: Text.Wrap
                horizontalAlignment: Text.Center
                color: palette.text;
                font.pixelSize: 20

                opacity: PathView.opacity === 1 ? 1 : 0
                Behavior on opacity {NumberAnimation {duration: 250}}

                SequentialAnimation{
                    running: PathView.opacity === 1 ? 1 : 0
                    NumberAnimation { target: button; property: "scale"; to: 1.1; duration: 100}
                    NumberAnimation { target: button; property: "scale"; to: 1; duration: 100 }
                }


            }

    }
}

